function Hzaccel = Hz_accel(t,xsi)
%horizontal ground acceleration

Ak = 0.1;
Bk = 0.1;

nsteps = length(t);
a = zeros(200,nsteps);
e = zeros(1,  nsteps);
% xsi = randn(200,1);

%e = modulating function
for i = 1:nsteps
   if     (t(i) <= 0), e(i) = 0;
   elseif (t(i) <= 2), e(i) = t(i)/2;
   elseif (t(i) <=10), e(i) = 1;
   else
      e(i) = exp(-0.1*(t(i)-10));
   end;
end;

Ake = Ak*e;
Bke = Bk*e;

for j = 1:200
   k  = ceil(j/2);
   wk = 2*pi*(1+0.1*k); %rad/s
   if mod(j,2)
      a(j,:) = Bke.*sin(wk*t);   %if iseven(j)
   else
      a(j,:) = Ake.*cos(wk*t);   %if isodd(j)
   end; 
end;

Hzaccel = sum(repmat(xsi,1,nsteps).*a);

return;
